import { fileURLToPath, URL } from 'node:url'

export const overrideComponents = () => (
    [
        {
          find: /^.*\/VPSidebar\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomSidebar.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPNavBar\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomNavBar.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPDoc\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomDoc.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPContent\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomContent.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPHome\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomHome.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPDocFooter\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomDocFooter.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPNavBarMenuLink\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomNavBarMenuLink.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPFeature\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomHomeFeature.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPButton\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomButton.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPHero\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomHero.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPNavBarSearchButton\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomNavBarSearchButton.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPHomeHero\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomHomeHero.vue', import.meta.url)
          ) 
        },
        {
          find: /^.*\/VPLocalSearchBox\.vue$/,
          replacement: fileURLToPath(
            new URL('./theme/components/CustomLocalSearchBox.vue', import.meta.url)
          ) 
        },
    ]
)
